"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.platformsFromPlatform = platformsFromPlatform;

function _CommandError() {
  const data = _interopRequireDefault(require("../../CommandError"));

  _CommandError = function () {
    return data;
  };

  return data;
}

function _log() {
  const data = _interopRequireDefault(require("../../log"));

  _log = function () {
    return data;
  };

  return data;
}

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getDefaultPlatforms() {
  const platforms = ['android'];

  if (process.platform !== 'win32') {
    platforms.push('ios');
  }

  return platforms;
}

function platformsFromPlatform(platform) {
  if (!platform) {
    return getDefaultPlatforms();
  }

  switch (platform) {
    case 'ios':
      if (process.platform === 'win32') {
        _log().default.warn('Ejecting is unsupported locally on windows, use eas build instead'); // continue anyways :shrug:

      }

      return ['ios'];

    case 'android':
      return ['android'];

    case 'all':
      return getDefaultPlatforms();

    default:
      throw new (_CommandError().default)(`Unsupported platform "${platform}". Options are: ios, android, all`);
  }
}
//# sourceMappingURL=platformOptions.js.map